DevToolPal
हि

ईमेल एड्रेस सिंटैक्स चेकर

एक या कई ईमेल एड्रेस का सिंटैक्स जाँचें, डोमेन की आम टाइपो गलतियाँ पकड़ें और डुप्लिकेट हटाएँ। सिर्फ़ फ़ॉर्मैट चेक, मेलबॉक्स लुकअप नहीं।

लोकल रूप से चलता है, कभी अपलोड नहीं होता

विकल्प

दिखाएँ

ईमेल एड्रेस (हर लाइन में एक)

0 कैरेक्टर · 0 B

सिंटैक्स चेक

परिणाम यहाँ दिखेगा

यह क्या करता है

यह टूल जाँचता है कि ईमेल एड्रेस सही तरीके से लिखे गए हैं या नहीं। एक एड्रेस या पूरी लिस्ट पेस्ट करें, और हर एक को कारण के साथ वैलिड या इनवैलिड मार्क किया जाता है, जैसे @ न होना, लगातार दो डॉट, बिना डॉट का डोमेन या ऐसा कैरेक्टर जिसकी अनुमति नहीं है। यह इम्पोर्ट से पहले मेलिंग लिस्ट साफ़ करने, फ़ॉर्म इनपुट के नियम जाँचने, या CSV एक्सपोर्ट में वह एक टूटी हुई रो ढूँढने के लिए उपयोगी है।

यह सिर्फ़ फ़ॉर्मैट जाँचता है। यह किसी मेल सर्वर से संपर्क नहीं करता, इसलिए यह नहीं बता सकता कि मेलबॉक्स मौजूद है या मेल स्वीकार करता है।

कैसे इस्तेमाल करें

  1. एड्रेस इनपुट बॉक्स में पेस्ट करें, हर लाइन में एक। कॉमा और सेमीकोलन भी सेपरेटर के रूप में चलते हैं, इसलिए आप To: लाइन सीधे पेस्ट कर सकते हैं।
  2. टाइप करते ही परिणाम दिखते हैं, साथ में सारांश कि कितने एड्रेस वैलिड और कितने इनवैलिड हैं।
  3. सभी, सिर्फ़ वैलिड या सिर्फ़ इनवैलिड एड्रेस देखने के लिए दिखाएँ इस्तेमाल करें। डुप्लिकेट हटाएँ दोहराव हटाता है; डोमेन की तुलना केस का ध्यान रखे बिना होती है।
  4. साफ़ लिस्ट कॉपी करने के लिए वैलिड कॉपी करें दबाएँ, हर लाइन में एक एड्रेस।

डिस्प्ले नाम भी संभाले जाते हैं: Bob Smith <bob@example.com> को bob@example.com के रूप में जाँचा जाता है, साथ में नोट कि नाम हटा दिया गया।

क्या-क्या जाँचा जाता है

  • ठीक एक @ (कोट्स के बाहर), जिसके दोनों ओर कुछ हो।
  • पूरा एड्रेस ज़्यादा से ज़्यादा 254 कैरेक्टर का और @ से पहले का हिस्सा ज़्यादा से ज़्यादा 64 का।
  • लोकल पार्ट में अनुमत कैरेक्टर हों, और शुरुआत, अंत या लगातार दो डॉट न हों। "john doe"@example.org जैसे कोट किए गए लोकल पार्ट चेतावनी के साथ स्वीकार किए जाते हैं।
  • डोमेन में कम से कम दो लेबल हों, हर एक 1–63 कैरेक्टर का, अक्षर, अंक और हाइफ़न से बना, हाइफ़न से शुरू या ख़त्म न हो, और असली दिखने वाला टॉप-लेवल डोमेन हो। admin@[192.168.0.1] जैसे IP literal चेतावनी के साथ स्वीकार किए जाते हैं।
  • लोकप्रिय डोमेन की आम गलत वर्तनी, जैसे gmial.com या qq.con, पर “क्या आपका मतलब” सुझाव मिलता है।

उदाहरण

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

अक्सर पूछे जाने वाले सवाल

› क्या यह जाँचता है कि मेलबॉक्स मौजूद है?

नहीं। यह सिर्फ़ सिंटैक्स चेक है। यह डोमेन के मेल सर्वर नहीं खोजता और न ही उनसे संपर्क करता है, इसलिए कोई एड्रेस यहाँ पास होकर भी बाउंस हो सकता है। मेलबॉक्स की पुष्टि के लिए सर्वर चाहिए, और इकलौता भरोसेमंद तरीका कन्फ़र्मेशन ईमेल भेजना है।

› क्या एड्रेस अपलोड होते हैं?

नहीं। हर जाँच आपके ब्राउज़र में चलती है, इसलिए आपकी मेलिंग लिस्ट कभी आपके डिवाइस से बाहर नहीं जाती।

› यह कौन-से नियम फ़ॉलो करता है?

RFC 5321 और RFC 5322 का एड्रेस सिंटैक्स, साथ में RFC 6531 के इंटरनेशनलाइज़्ड एड्रेस। एड्रेस के अंदर कमेंट जैसे पुराने रूप अस्वीकार किए जाते हैं क्योंकि लगभग कोई भी मेल सिस्टम उन्हें स्वीकार नहीं करता।

› वैलिड एड्रेस पर चेतावनी क्यों लगी है?

कुछ एड्रेस नियम के हिसाब से सही लेकिन जोखिम भरे होते हैं: gmial.com जैसी संभावित टाइपो, डोमेन की जगह IP एड्रेस, कोट किया गया लोकल पार्ट, या non-ASCII कैरेक्टर जिन्हें कुछ सर्वर मना कर देते हैं। ऐसा एड्रेस फिर भी वैलिड गिना जाता है।